Temso Docs
API referenceAnalytics

Get Response Analytics

Returns one row per AI response with visibility metrics — presence, own/total sources, mention counts, and the brands mentioned. This is the export-equivalent of the response analytics CSV. Use Get Response Content for the full model output.

GET
/projects/{projectId}/analytics/responses

Returns one row per AI response with visibility metrics — presence, own/total sources, mention counts, and the brands mentioned. This is the export-equivalent of the response analytics CSV. Use Get Response Content for the full model output.

Path Parameters

projectId*string

Project ID (see List Projects)

Query Parameters

filter*
page?integer

Page number (1-indexed, default: 1)

Default1
Range1 <= value
limit?integer

Items per page (default: 50, max: 1000)

Default50
Range1 <= value <= 1000

Response Body

application/json

curl -X GET "https://example.com/projects/string/analytics/responses?filter%5BstartDate%5D=2026-01-01&filter%5BendDate%5D=2026-03-19&filter%5Blanguages%5D=en%2Cde&filter%5Bcountries%5D=US%2CDE&filter%5Bmodels%5D=microsoft%2Fcopilot-search%2Cgoogle%2Fai-overview%2Cgoogle%2Fai-mode%2Cperplexity%2Fsearch%2Cgemini%2Fsearch%2Copenai%2Fchatgpt&filter%5BpromptTypes%5D=informational%2Cnavigational&filter%5BisBranded%5D=true&filter%5BpersonaIds%5D=string&filter%5BofferingIds%5D=string&filter%5BpromptTagIds%5D=string&filter%5BbrandIds%5D=string"
{
  "data": [
    {
      "responseId": "string",
      "promptId": "string",
      "promptText": "string",
      "preview": "string",
      "model": "openai/chatgpt",
      "country": "string",
      "language": "string",
      "presence": 0,
      "totalSources": 0,
      "ownSources": 0,
      "totalMentions": 0,
      "ownBrandMentioned": true,
      "mentionedBrandIds": [
        "string"
      ],
      "createdAt": "string"
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0,
    "total": 0
  }
}